Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# BallLocatorInterfaces Class Reference

The interfaces of the BallLocator module. More...

`#include <BallLocator.h>`

Inheritance diagram for BallLocatorInterfaces:

[legend]
Collaboration diagram for BallLocatorInterfaces:

[legend]
List of all members.

## Public Member Functions
| BallLocatorInterfaces (const OdometryData &odometryData, const CameraMatrix &cameraMatrix, const BallPercept &ballPercept, const BodyPercept &bodyPercept, const LandmarksPercept &landmarksPercept, const MotionInfo &motionInfo, const ObstaclesPercept &obstaclesPercept, const RobotPose &robotPose, const SampleSetProxy< PoseSample > &selfLocatorSamples, const CalibrationRequest &calibrationRequest, const SensorDataBuffer &sensorDataBuffer, const GameControlData &gameControlData, const GTCamWorldState &gtCamWorldState, const RobotPoseCollection &robotPoseCollection, BallModel &ballModel, GT2005ParticleContainer &ballLocatorSample, const BallHandling &ballHandling)
| Constructor.
## Public Attributes
const OdometryData & | odometryData
| The odometry data provided by the motion modules.
const CameraMatrix & | cameraMatrix
| The offset and the rotation of the camera.
const BallPercept & | ballPercept
| The ball percept that was generated last.
const BodyPercept & | bodyPercept
| The body percept that was generated last.
const LandmarksPercept & | landmarksPercept
| The landmarkspercept that was generated last.
const MotionInfo & | motionInfo
| The motion Info of the last performed motion.
const ObstaclesPercept & | obstaclesPercept
| The obstaclespercept that was generated last.
const RobotPose & | robotPose
| The robots position that was calculated last.
const SampleSetProxy< PoseSample > & | selfLocatorSamples
| The self locator samples that were calculated last.
const CalibrationRequest & | calibrationRequest
| The calibration request.
const SensorDataBuffer & | sensorDataBuffer
| The sensor data buffer.
const GameControlData & | gameControlData
| Messages that are sent by the referee.
const GTCamWorldState & | gtCamWorldState
| The worldstate generated by the GTCam.
const RobotPoseCollection & | robotPoseCollection
| collection of candidate robot poses
BallModel & | ballModel
| The ball position to be changed.
GT2005ParticleContainer & | ballLocatorSamples
| The ball locator samples.
const BallHandling & | ballHandling
| Behavior feedback about the handling of the ball.

## Detailed Description

The interfaces of the BallLocator module.

Definition at line 42 of file BallLocator.h.

## Constructor & Destructor Documentation

BallLocatorInterfaces::BallLocatorInterfaces | ( | const OdometryData & | odometryData,
|  | const CameraMatrix & | cameraMatrix,
|  | const BallPercept & | ballPercept,
|  | const BodyPercept & | bodyPercept,
|  | const LandmarksPercept & | landmarksPercept,
|  | const MotionInfo & | motionInfo,
|  | const ObstaclesPercept & | obstaclesPercept,
|  | const RobotPose & | robotPose,
|  | const SampleSetProxy< PoseSample > & | selfLocatorSamples,
|  | const CalibrationRequest & | calibrationRequest,
|  | const SensorDataBuffer & | sensorDataBuffer,
|  | const GameControlData & | gameControlData,
|  | const GTCamWorldState & | gtCamWorldState,
|  | const RobotPoseCollection & | robotPoseCollection,
|  | BallModel & | ballModel,
|  | GT2005ParticleContainer & | ballLocatorSample,
|  | const BallHandling & | ballHandling
| ) | `[inline]`

| Constructor. Definition at line 46 of file BallLocator.h. References ballLocatorSamples.

## Member Data Documentation

const OdometryData& BallLocatorInterfaces::odometryData

| The odometry data provided by the motion modules. Definition at line 86 of file BallLocator.h.

const CameraMatrix& BallLocatorInterfaces::cameraMatrix

| The offset and the rotation of the camera. Definition at line 89 of file BallLocator.h.

const BallPercept& BallLocatorInterfaces::ballPercept

| The ball percept that was generated last. Definition at line 92 of file BallLocator.h.

const BodyPercept& BallLocatorInterfaces::bodyPercept

| The body percept that was generated last. Definition at line 95 of file BallLocator.h.

const LandmarksPercept& BallLocatorInterfaces::landmarksPercept

| The landmarkspercept that was generated last. Definition at line 98 of file BallLocator.h.

const MotionInfo& BallLocatorInterfaces::motionInfo

| The motion Info of the last performed motion. Definition at line 101 of file BallLocator.h.

const ObstaclesPercept& BallLocatorInterfaces::obstaclesPercept

| The obstaclespercept that was generated last. Definition at line 104 of file BallLocator.h.

const RobotPose& BallLocatorInterfaces::robotPose

| The robots position that was calculated last. Definition at line 107 of file BallLocator.h.

const SampleSetProxy<PoseSample>& BallLocatorInterfaces::selfLocatorSamples

| The self locator samples that were calculated last. Definition at line 110 of file BallLocator.h.

const CalibrationRequest& BallLocatorInterfaces::calibrationRequest

| The calibration request. Definition at line 113 of file BallLocator.h.

const SensorDataBuffer& BallLocatorInterfaces::sensorDataBuffer

| The sensor data buffer. Definition at line 116 of file BallLocator.h.

const GameControlData& BallLocatorInterfaces::gameControlData

| Messages that are sent by the referee. Definition at line 119 of file BallLocator.h.

const GTCamWorldState& BallLocatorInterfaces::gtCamWorldState

| The worldstate generated by the GTCam. Definition at line 122 of file BallLocator.h.

const RobotPoseCollection& BallLocatorInterfaces::robotPoseCollection

| collection of candidate robot poses Definition at line 125 of file BallLocator.h.

BallModel& BallLocatorInterfaces::ballModel

| The ball position to be changed. Definition at line 128 of file BallLocator.h.

GT2005ParticleContainer& BallLocatorInterfaces::ballLocatorSamples

| The ball locator samples. Definition at line 131 of file BallLocator.h. Referenced by BallLocatorInterfaces().

const BallHandling& BallLocatorInterfaces::ballHandling

| Behavior feedback about the handling of the ball. Definition at line 134 of file BallLocator.h.

The documentation for this class was generated from the following file:

- Modules/BallLocator/BallLocator.h